<div class="row">
    <div class="basic-info">
        <app-avatar
            [name]="athlete.name"
            [photo]="athlete.avatar"
            class="avatar"
        ></app-avatar>

        <span class="name">{{ athlete.name }}</span>
    </div>

    <div class="email">
        <mat-icon>email</mat-icon>
        {{ athlete.email }}
    </div>

    <div class="actions">
        <a
            color="primary"
            mat-icon-button
            routerLink="/admin/athletes/{{ athlete.athlete_id }}"
        >
            <mat-icon>visibility</mat-icon>
        </a>

        <ng-template [canView]="[1, 3]">
            <button (click)="openDeleteDialog()" color="warn" mat-icon-button>
                <mat-icon>delete</mat-icon>
            </button>
        </ng-template>
    </div>
</div>
